<template>
	<view class="">
		<web-view :src="allUrl"></web-view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				allUrl:''
			}
		},
		onLoad(params) {
			console.log(params,777)
			// encodeURIComponent 函数可把字符串作为 URI 组件进行编码。decodeURIComponent解码
			// 这里的 params.fileUrl 是另一个组件进入到该组件时通过 navigateTo 传进来的pdf文件路径
			let fileUrl = decodeURIComponent(params.fileUrl);
			// 下面的路径合起来其实是：'/hybrid/html/web/viewer.html?file=' + 线上pdf路径
			this.allUrl = fileUrl
		},
		methods: {}
	}
</script>

<style>
</style>
